///////////////////////////////////////////////////////////////////////////
//
//  TLCSYEDT.HPP
//
//  Header for Sysop User Edit Interface.
//
//                                                    -  N.C. Osterc
//
///////////////////////////////////////////////////////////////////////////

#include "tlcapi.hpp"

class CTlcSysEdt
{
public:

     CTlcSysEdt(
     const CHAR* usr);

     ~CTlcSysEdt();

     const CHAR *
     getName();

     GBOOL
     update();

     GBOOL
     foundUser();

     GBOOL
     reload();

     VOID
     setEntrance(
     const CHAR *msg,
     INT which);

     const CHAR *
     getEntrance(
     INT which);

     VOID
     setExit(
     const CHAR* msg,
     INT which);

     const CHAR *
     getExit(
     INT which);

     VOID
     setDefaultChan(
     SHORT defchan);

     SHORT
     getDefaultChan();

     SHORT
     getInterval();

     VOID
     setInterval(
     SHORT sInterval);

     GBOOL
     isSquelched();

     VOID
     setSquelched(
     GBOOL squelch);

     LONG
     getCredits();

private:

     struct tlcusrdsk m_structuedit;
     GBOOL m_bFound;
     CHAR m_usr[UIDSIZ];


};
